Bug 79833 - --args ignores zero-length args
Summary: --args ignores zero-length args
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gdb (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Elena Zannoni
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-17 11:23 UTC by Tim Waugh
Modified: 2015-01-08 00:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-12 22:08:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2002-12-17 11:23:54 UTC
Description of problem:
This doesn't work properly: gdb --args myprogram arg1 '' arg3

Version-Release number of selected component (if applicable):
gdb-5.3post-0.20021129.3

How reproducible:
100%

Steps to Reproduce:

$ cat <<EOF >args.c
#include <stdio.h>
int main (int argc) { printf ("%d\n", argc); }
EOF
$ make args
$ gdb --args ./args 1 '' 3
(gdb) r

Actual results:
3

Expected results:
4

Comment 1 Elena Zannoni 2003-01-03 21:26:55 UTC
Yes, thanks.
There will be a fix in the next release.



Comment 2 Elena Zannoni 2003-01-12 22:08:19 UTC
I pulled in a patch for this.


Note You need to log in before you can comment on or make changes to this bug.